tm_modal:
  namespace: "Organisms/Bootstrap"
  use: "@organisms/tm-bs/modal/modal.twig"
  label: Modal
  description: TM/Boostrap Standard modal
  libraries:
    - tm_modal_lib:
        css:
          component:
            ../styles/modal.css: { weight: 10 }
        js:
          ../behaviors/modal.js: { }

  fields:
    title:
      type: text
      label: Title
      description: The modal title
      preview:  The modal title
    title_tag:
      type: text
      label: Title tag
      description: The modal title tag e.g h4
      preview: h4
    header_extra:
      type: text
      label: Header extra
      description: Extra header content between title and close
      preview: '<span>header extra</span>'
    body:
      type: text
      label: Body
      description: The modal body
      preview:  The modal body
    footer:
      type: text
      label: Footer
      description: The modal footer
      preview: The modal footer
    uid:
      type: text
      label: ID
      description: The modal ID, there can be mulitple per page
      preview: my-demo-modal

  settings:
    class:
      type: textfield
      label: Classes
      description: "Class like 'branded-overlay' 'modal-trans'"
      preview: my-modal-class
    size:
      type: select
      label: Size
      description: The modal size, md, lg or sm
      preview: lg
      required: true
      options:
        lg: Large
        sm: Small
    showbutton:
      type: boolean
      label: Show button
      preview: true
    showclose:
      type: boolean
      label: Show Close
      preview: true
      default_value: true
    center:
      type: boolean
      label: Center
      preview: false
      default_value: false
